package schedframe.resources.devices.coolemall;

import schedframe.resources.computing.profiles.energy.airthroughput.AirflowProfile;
import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
import schedframe.resources.devices.PhysicalResource;
import schedframe.resources.devices.DeviceAirflowInterface;

public class FanAirflowInterface extends DeviceAirflowInterface {

	public FanAirflowInterface(PhysicalResource resource, AirflowProfile airflowProfile) {
		super(resource, airflowProfile);
		this.currentAirflowState = new CustomAirflowStateName("2");
	}
	
	public boolean turnOn(){
		return setAirflowState(new CustomAirflowStateName("2"));
	}

	public boolean turnOff(){
		return setAirflowState(new CustomAirflowStateName("1"));
	}
}
