package schedframe.resources.computing.profiles.energy.power;


public class PowerStateNameFactory {
	
	public static PowerStateName createPowerStateName (String powerStateName){
		
		if(powerStateName.equals(StandardPowerStateName.ON.getLabel()))
			return StandardPowerStateName.ON;
		
		else if(powerStateName.equals(StandardPowerStateName.OFF.getLabel()))
			return StandardPowerStateName.OFF;
		
		else if(powerStateName.equals(StandardPowerStateName.HIBERNATE.getLabel()))
			return StandardPowerStateName.HIBERNATE;
		
		else if(powerStateName.equals(StandardPowerStateName.SLEEP.getLabel()))
			return StandardPowerStateName.SLEEP;
		
		else if(powerStateName.equals(StandardPowerStateName.SUSPEND.getLabel()))
			return StandardPowerStateName.SUSPEND;
		
		else return new CustomPowerStateName(powerStateName);
	}
}
